# Asterisk Project : Asterisk 12 Application_ReadFile

Added by wikibot , edited by wikibot on Aug 29, 2013

# ReadFile()

### Synopsis

Read the contents of a text file into a channel variable.

### Description

Read the contents of a text file into channel variable varname

Warning

Icon

ReadFile has been deprecated in favor of Set(varname=${FILE(file,0,length)})

### Syntax

    ReadFile(varnamefile[length])

##### Arguments

- `varname` - Result stored here.
- `fileparams`
  - `file` - The name of the file to read.
  - `length` - Maximum number of characters to capture.
    If not specified defaults to max.

### See Also

- Asterisk 12 Application_System
- Asterisk 12 Application_Read

### Import Version

This documentation was imported from Asterisk Version Unknown